@font-face {
  font-family: "Helvetica", sans-serif;
  src: url(../fonts/helvetica.woff2);
  font-style: normal;
  font-weight: 400;
}

@font-face {
  font-family: "Helvetica-Bold", sans-serif;
  src: url(../fonts/helvetica-bold.woff2);
  font-style: normal;
  font-weight: 700;
}

html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

a {
  color: inherit;
  text-decoration: none;
}

li {
  list-style: none;
}

img {
  max-width: 100%;
}

button {
  color: inherit;
  font-size: inherit;
  background-color: transparent;
  border: none;
  cursor: pointer;
  font-family: inherit;
  padding: 0;
}

.container {
  max-width: 1220px; /* ширина 1200px, але +20px, тому що padding має по 10px*/
  padding: 0 10px;
  margin: 0 auto;
}

.section-title {
  text-transform: uppercase;
  font-weight: 400;
}

body {
  font-family: "Helvetica", sans-serif;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
  color: #5c5c5e;
  min-width: 320px;
  overflow-x: hidden;
}

.header {
  border-bottom: 1px solid #cacad6;
}

.nav {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  height: 80px;
}

.menu-btn {
  display: none;
}

.menu {
  display: flex;
  gap: 0 20px;
}

.logo {
  justify-self: center;
  display: flex;
}

.basket {
  position: relative;
  justify-self: end;
}

.basket--on span {
  /*клас basket--on додається тоді коли треьа буде реалізувати що корзина буде змінюватись*/
  font-size: 11px;
  width: 15px;
  height: 15px;
  background-color: #000;
  border-radius: 50%;
  color: #fff;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 0;
  right: -2px;
}

.top {
  min-height: calc(100vh - 81px); /* 80px висота хедера + 1px бордер*/
  background-image: url(../images/top-bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom center;
}

.title {
  padding-top: 16%;
  font-size: 96px;
  font-weight: 400;
  margin-bottom: 10px;
}

.subtitle {
  font-size: 36px;
  margin-bottom: 5px;
}

.top__text {
  font-size: 13px;
  margin-bottom: 50px;
}

.buy__text {
  padding-top: 6px;
  font-size: 13px;
}

.buy-btn {
  font-weight: 700;
  cursor: pointer;
  border: none;
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);
  display: flex;
  padding: 1px;
  text-transform: uppercase;
}

.buy-btn__text {
  color: #f6f4f5;
  padding: 20px 110px;
  text-transform: uppercase;
}

.buy-btn__price {
  color: #5c5c5e;
  background-color: #f6f4f5;
  padding: 20px 105px;
}

.features {
  padding: 100px 0;
}

.features__titles {
  display: flex;
}

.features__title {
  flex-basis: 300px;
  padding-right: 20px;
}

.features__text {
  max-width: 330px;
  text-transform: uppercase;
  font-size: 36px;
  margin-bottom: 2px;
  background: linear-gradient(180deg, #bc10d8 0%, #5000fa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.tabs {
  display: grid;
  grid-template-columns: 300px auto;
}

.tabs__btn {
  display: flex;
  flex-direction: column;
  align-items: start;
}

.tabs__btn-item {
  font-weight: 700;
  margin-bottom: 20px;
}

.tabs__btn-item--active {
  color: #070707;
}

.tabs__content {
  position: relative;
  min-height: 300px;
}

.tabs__content-item {
  position: absolute;
  display: grid;
  grid-template-columns: auto 280px;
  grid-template-rows: auto 150px;
  gap: 40px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.tabs__content-item--active {
  opacity: 1;
}

.tabs__content-img {
  grid-row: 1/-1;
  align-self: stretch;
  object-fit: cover;
}

.tabs__content-box h3 {
  font-weight: 400;
  font-size: 24px;
  margin-bottom: 5px;
}

.video {
  grid-column: 2/3;
  width: 280px;
  height: 150px;
  background-image: url(../images/content-bg.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: flex-start;
  padding: 9px 10px;
}

.video__btn {
  margin-left: 22px; /* всього має бути відступ 31px,але в нас вже є padding 9px*/
}

.video span {
  font-size: 13px;
  color: #f6f4f5;
}

.game {
  margin-bottom: 100px;
}

.game__title {
  margin-bottom: 50px;
}

.game__inner {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.game__descr {
  padding-right: 10px;
}

.game__descr-title {
  text-transform: uppercase;
  background: linear-gradient(180deg, #bc10d8 0%, #5000fa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 36px;
  margin-bottom: 10px;
}

.game__descr-text {
  margin-bottom: 24px;
}

.game__link {
  display: inline-block;
  background: linear-gradient(180deg, #bc10d8 0%, #5000fa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 700;
  text-transform: uppercase;
  padding: 16px 15px 12px;
  width: 225px;
  text-align: center;
  border: 1px solid;
  border-image: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%)
    1;
}

.game__item {
  display: flex;
  flex-direction: column;
  border: 1px solid;
  border-image: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%)
    1;
  padding: 10px 20px 18px;
}

.game__item-img {
  margin-bottom: 10px;
}

.game__item-title {
  font-size: 24px;
  margin-bottom: 10px;
}

.game__item-text {
  margin-bottom: 30px;
}

.game__item-link {
  background: linear-gradient(180deg, #bc10d8 0%, #5000fa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-top: auto; /* посилання буде весь час внизу */
}

.buy {
  margin-bottom: 110px;
  text-align: center;
  position: relative;
  overflow-x: hidden;
}

.buy__img {
  margin-bottom: 30px;
}

.buy-btn {
  margin: 0 auto;
}

.buy__bg {
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 700;
  font-size: 400px;
  line-height: 400px;
  opacity: 0.1;
  position: absolute;
  z-index: -1;
  animation: line-text 6s linear 1s infinite;
}

@keyframes line-text {
  from {
    transform: translateX(100%);
    transform-origin: left center;
  }
  to {
    transform: translateX(-115%);
    transform-origin: right center;
  }
}

.equipment {
  margin-bottom: 100px;
}

.equipment__title {
  margin-bottom: 50px;
}

.equipment__box {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  grid-template-rows: repeat(2, 1fr);
  gap: 20px;
}

.equipment__box-img {
  margin-bottom: 10px;
}

.equipment__box-title {
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 36px;
  line-height: 50px;
  text-transform: uppercase;
}

.equipment__box-item-one {
  grid-row: 1/-1;
}

.promo {
  margin-bottom: 100px;
}

.promo__inner {
  background-image: url(../images/promo.jpg);
  min-height: 500px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  text-align: center;
  position: relative;
}

.promo__btn {
  font-weight: 700;
  color: #fff;
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);

  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 80px;
  left: 0;
  right: 0;
  margin: 0 auto;
}

.accessories {
  margin-bottom: 100px;
}

.accessories__title {
  margin-bottom: 30px;
}

.accessories__text {
  margin-bottom: 30px;
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 36px;
  text-transform: uppercase;
}

.accessories__items {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.accessories__item {
  padding: 20px;
  border: 1px solid;
  border-image: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%)
    1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.accessories__item-img {
  margin-bottom: 10px;
}

.accessories__item-title {
  font-size: 24px;
  color: #070707;
  min-height: 67px;
}

.accessories__item-text {
  margin-bottom: 35px;
  margin-top: auto;
}

.accessories__item-price {
  font-weight: 700;
  line-height: 18px;
  color: #070707;
  margin-bottom: 20px;
  margin-top: auto;
}

.accessories__item-btn {
  border: 1px solid;
  border-image: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%)
    1;
  padding: 6px;
  font-weight: 700;
  background: linear-gradient(180deg, #bc10d8 0%, rgba(80, 0, 250, 0.93) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.contacts {
  margin-bottom: 100px;
}

.contacts__title {
  font-size: 24px;
  line-height: 33px;
  color: #070707;
  margin-bottom: 10px;
}

.contacts__inner {
  display: flex;
  justify-content: space-between;
  align-items: end;
}

.contacts__form {
  flex-basis: 600px;
}

.form {
  margin-bottom: 10px;
  position: relative;
}

.form__input {
  width: 100%;
  border: none;
  border-bottom: 1px solid #cacad6;
  padding: 22px 70px 22px 0;
}

.form__input::placeholder {
  color: #cacad6;
  font-size: 13px;
  font-family: Helvetica;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
}

.form__btn {
  width: 50px;
  height: 50px;
  background-color: #cacad6;
  text-transform: uppercase;
  font-weight: 700;
  border-radius: 50%;
  color: #5c5c5e;
  position: absolute;
  right: 0;
  margin-bottom: 5px;
}

.contacts__text {
  font-size: 13px;
}

.footer {
  border-top: 1px solid #cacad6;
  border-bottom: 1px solid #cacad6;
  margin-bottom: 44px;
  padding: 30px 0;
}

.social {
  display: flex;
  gap: 20px;
  justify-self: end;
}

@media (max-width: 1140px) {
  .footer .menu {
    display: none;
  }
  .footer .nav {
    display: flex;
    justify-content: space-between;
  }
}

@media (max-width: 992px) {
  .tabs {
    display: block;
  }
  .tabs__btn {
    display: block;
    column-count: 2;
  }
  .tabs__btn-item {
    display: block;
  }
  .game__inner {
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
  }
  .accessories__items {
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
  }
}

@media (max-width: 820px) {
  .equipment__box {
    grid-template-columns: 1fr 1fr 1fr;
  }
  .contacts__inner {
    display: block;
  }
  .contacts__form {
    margin-bottom: 20px;
  }
  .menu-btn {
    display: flex;
    width: 40px;
    height: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .menu-btn span {
    height: 2px;
    background-color: #000;
    width: 100%;
  }
  .menu {
    transform: translateX(-100%);
    transition: transform 1s;
    position: absolute;
    top: 80px;
    left: 0;
    right: 0;
    width: 320px;
    background-color: #000;
    color: #fff;
    padding: 100px 0;
    flex-direction: column;
    align-items: center;
  }
  .menu.menu--active {
    transform: translateX(0%);
  }
  .menu__link {
    font-size: 24px;
    padding: 10px 0;
    display: inline-block;
  }
}

@media (max-width: 768px) {
  .title {
    font-size: 66px;
  }
  .subtitle {
    font-size: 24px;
  }
}

@media (max-width: 640px) {
  .buy-btn {
    flex-direction: column;
    margin: 0 auto;
  }
  .top {
    text-align: center;
  }
}

@media (max-width: 568px) {
  .fetures__titles {
    display: block;
  }
  .tabs__content-item {
    display: block;
    height: 0;
    position: relative;
  }
  .tabs__content-item--active {
    height: auto;
  }
  .video {
    width: auto;
    height: 250px;
    margin-top: 20px;
  }
  .game__inner {
    grid-template-columns: repeat(1, 1fr);
    gap: 25px;
  }
  .equipment__box {
    display: block;
  }
  .equipment__box-img {
    width: 100%;
  }
  .equipment__box-text {
    margin-bottom: 10px;
  }
  .accessories__items {
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }
  .accessories__text {
    font-size: 28px;
  }
  .nav {
    grid-template-columns: 1fr 2fr 1fr;
  }
  .footer .nav {
    flex-direction: column;
    height: auto;
  }
  .social {
    order: -1;
    margin-bottom: 20px;
    gap: 30px;
  }
}

@media (max-width: 420px) {
  .title {
    font-size: 48px;
  }
  .subtitle {
    font-size: 20px;
  }
  .tabs__btn {
    column-count: 1;
  }
  .features__text {
    font-size: 32px;
  }
  .menu {
    width: 100%;
  }
}
